@mixin google-fonts($font-set){
  $google-fonts: implode($font-set,'|');
  @import url("//fonts.googleapis.com/css?family=#{$google-fonts}");
}

@mixin font-smoothing($value: antialiased) {
  @if $value == antialiased {
    -webkit-font-smoothing: antialiased !important;
    -moz-osx-font-smoothing: grayscale !important;
  }
  @else {
    -webkit-font-smoothing: subpixel-antialiased !important;
    -moz-osx-font-smoothing: auto !important;
  }
}

@mixin text-glow($blur: 0, $color: #000, $alpha: 1){
  @include text-shadow(0 0 $blur rgba($color, $alpha));
}

@mixin text-stroke-webkit($width: 1px, $color: #000, $alpha: 1) {
  -webkit-text-stroke: $width rgba($color, $alpha);
}

@mixin text-stroke($width:1px, $blur: 0, $color: #000, $alpha: 1) {
  @include text-shadow(
                  (-#{$width} -#{$width} $blur rgba($color, $alpha)),
                  (#{$width} -#{$width} $blur rgba($color, $alpha)),
                  (-#{$width} #{$width} $blur rgba($color, $alpha)),
                  (#{$width} #{$width} $blur rgba($color, $alpha)));
}